//+------------------------------------------------------------------+
//|   #Dailyscalping.mq4
//|Base from Spudfibo credited to Banzai
//|Edited to dailyscalping by Darkkiller
//|Please do not sell or do classes using this indicator,just share the knowledge.
//+------------------------------------------------------------------+
#property  indicator_chart_window

extern string note1 = "Fibonacci colors";
extern color MainFiboColor = Teal;
extern string note2 = "Draw main Fibonacci lines?";
extern bool  InnerFibs = true;

double HiPrice, LoPrice, Range;
datetime StartTime;

int init()
{
   return(0);
}

int deinit()
{
   ObjectDelete("FiboIn");
   return(0);
}


//+------------------------------------------------------------------+
//| Draw Fibo
//+------------------------------------------------------------------+

int DrawFibo()
{

	if(InnerFibs)
	{
		if(ObjectFind("FiboIn") == -1)
			ObjectCreate("FiboIn",OBJ_FIBO,0,StartTime,HiPrice,StartTime+PERIOD_D1*60,LoPrice);
		else
		{
			ObjectSet("FiboIn",OBJPROP_TIME2, StartTime);
			ObjectSet("FiboIn",OBJPROP_TIME1, StartTime+PERIOD_D1*60);
			ObjectSet("FiboIn",OBJPROP_PRICE1,HiPrice);
			ObjectSet("FiboIn",OBJPROP_PRICE2,LoPrice);
		}
   	ObjectSet("FiboIn",OBJPROP_LEVELCOLOR,MainFiboColor); 
   	ObjectSet("FiboIn",OBJPROP_FIBOLEVELS,11);
   	 ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+0,1.236);	ObjectSetFiboDescription("FiboIn",0,"123.6 TAKE PROFIT1 %$"); 
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+1,0.0);	ObjectSetFiboDescription("FiboIn",1,"0.0 TAKE PROFIT %$");
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+2,0.236);	ObjectSetFiboDescription("FiboIn",2,"23.6 PENDING SELL %$"); 
   	  	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+3,0.768);	ObjectSetFiboDescription("FiboIn",3,"76.8 PENDING BUY %$");  
   	ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+4,1.000);	ObjectSetFiboDescription("FiboIn",4,"100 TAKE PROFIT %$");
   	 ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+5,0.500);	ObjectSetFiboDescription("FiboIn",5,"50 StopLoss sell-buy %$");
   	 ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+6,-0.236);	ObjectSetFiboDescription("FiboIn",6,"-23.6 TAKE PROFIT1 %$");
   ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+7,0.382);	ObjectSetFiboDescription("FiboIn",7,"38.2 Early PEN SELL & SL %$");
   ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+8,0.618);	ObjectSetFiboDescription("FiboIn",8,"61.8 Early PEN BUY & SL %$");
   	 ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+9,0.886);	ObjectSetFiboDescription("FiboIn",9,"88.6 Early TP %$");
   	 ObjectSet("FiboIn",OBJPROP_FIRSTLEVEL+10,0.114);	ObjectSetFiboDescription("FiboIn",10,"11.4 Early TP %$");  
   	ObjectSet("FiboIn",OBJPROP_RAY,true);
   	ObjectSet("FiboIn",OBJPROP_BACK,true);
   }
   else
	   ObjectDelete("FiboIn");
}

//+------------------------------------------------------------------+
//| Indicator start function
//+------------------------------------------------------------------+

int start()
{
	int shift	= iBarShift(NULL,PERIOD_D1,Time[0]) + 1;	// yesterday
	HiPrice		= iHigh(NULL,PERIOD_D1,shift);
	LoPrice		= iLow (NULL,PERIOD_D1,shift);
	StartTime	= iTime(NULL,PERIOD_D1,shift);

	if(TimeDayOfWeek(StartTime)==0/*Sunday*/)
	{//Add fridays high and low
		HiPrice = MathMax(HiPrice,iHigh(NULL,PERIOD_D1,shift+1));
		LoPrice = MathMin(LoPrice,iLow(NULL,PERIOD_D1,shift+1));
	}

	Range = HiPrice-LoPrice;

	DrawFibo();

	return(0);
}
//+------------------------------------------------------------------+

